/***************************************************************************
                          maptile_normal.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAPTILE_NORMAL_H
#define MAPTILE_NORMAL_H

#include "maptile.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Timer;

class Maptile_normal : public Maptile
{
public: 
	Maptile_normal(int _x, int _y, bool _falling, bool _ladder, WorldType _wt, Map* _map);
	~Maptile_normal();

	void show();
	void act();
	void dig();

private:

	int dspr;
	void digact();
	bool have_ladder, diggin, digging;
	Timer* timer;
};

#endif
