/***************************************************************************
                          jukebox.cpp  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "jukebox.h"
#include "config.h"
#include "resources.h"

CL_SoundBuffer_Session* Jukebox::song=0;

Jukebox::Jukebox()
{

}
Jukebox::~Jukebox()
{
}
void Jukebox::init(WorldType wt)
{
  if(Config::get_music()==true)
  {

    if(song)
	  if(song->is_playing())
  	{
      song->stop();
      song=0;
    }

    switch(wt)
    {
      case ICE:
        song = Resources::Ice();
      break;
      case AQUA:
         song = Resources::Aqua();
      break;
      case LAVA:
        song = Resources::Lava();
      break;
      case JUNGLE:
         song = Resources::Jungle();
      break;
      case TECH:
         song = Resources::Tech();
      break;
      default:
         song = Resources::Tech(); //only for fallback :)
      break;
    }


	  song->set_volume(((float)(Config::get_music_vol())/2));
	  song->play();
  }
}
void Jukebox::act()
{
	if(Config::get_music()==false)
	{
    if(song)
		if(song->is_playing())
		song->stop();
	}
	else
	{
    if(song)
    {
		  song->set_volume(((float)(Config::get_music_vol())/2));
		  song->play();
    }
	}
}